This endpoint allows you to lookup and verify bank account.
cURL
curl --request POST \ --url https://processor-prod.up.railway.app/lookup \ --header 'Content-Type: application/json' \ --header 'x-service-key: <api-key>' \ --data ' { "bank_code": "100004", "currency": "ngn", "account_number": "1234567890" } '
{ "success": true, "status": 200, "message": "Bank account lookup successfully", "timestamp": "2025-09-10T01:20:03.033Z", "data": { "bank_code": "100004", "bank_name": "Opay", "account_number": "1234567890", "account_name": "John Doe" } }
Documentation IndexFetch the complete documentation index at: https://docs.bread.africa/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
Use this file to discover all available pages before exploring further.
Bank code for account lookup
"100004"
Currency code for the account
NGN
"ngn"
Bank account number to lookup
"1234567890"
Bank account lookup successful
true
200
"Bank account lookup successfully"
"2025-09-10T01:20:03.033Z"
Show child attributes